Bug 29038 - Accessibility: OPACUserSummary heading doesn't have sufficient contrast
Summary: Accessibility: OPACUserSummary heading doesn't have sufficient contrast
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Henry Bolshaw
QA Contact: Testopia
URL:
Keywords: accessibility
Depends on:
Blocks: 28188
  Show dependency treegraph
 
Reported: 2021-09-16 03:41 UTC by Henry Bolshaw
Modified: 2021-10-08 12:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug_29038: Accessibility OPACUserSummary heading doesn't have sufficient contrast (1.41 KB, patch)
2021-09-20 21:41 UTC, Henry Bolshaw
Details | Diff | Splinter Review
Bug 29038: Accessibility OPACUserSummary heading doesn't have sufficient contrast (1.45 KB, patch)
2021-09-21 11:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29038: Accessibility OPACUserSummary heading doesn't have sufficient contrast (1.45 KB, patch)
2021-09-26 12:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Bolshaw 2021-09-16 03:41:24 UTC
The "heading" of the OPACUserSummary table has bad contrast (grey script on grey background). This makes the text difficult to read and fails to meet accessibility criteria.

The Summary table is only visible if you are logged in, have some checkouts and OPACUserSummary is active.

WCAG 2.1 1.4.3 Contrast (Minimum) Level AA:

"The visual presentation of text and images of text has a contrast ratio of at least 4.5:1..."

(https://www.w3.org/WAI/WCAG21/quickref/?versions=2.0#contrast-minimum)

There are several free websites for checking the contrast ratio, e.g. https://webaim.org/resources/contrastchecker/ 

You can also use the built-in accessibility functions in Firefox and Chrome, as well as specialist accessibility browser extensions like WAVE (https://wave.webaim.org/)
Comment 1 Henry Bolshaw 2021-09-20 21:41:43 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-09-21 11:07:32 UTC
Created attachment 125094 [details] [review]
Bug 29038: Accessibility OPACUserSummary heading doesn't have sufficient contrast

This patch changes the colour of the OPAC User Summary heading text to
increase the contrast ratio, improving accessibility and making the
text easier to read.

To test:

1. Log in to the OPAC homepage as a user with items checked out
2. Use an accessibility tool (e.g. Chrome's Lighthouse tool) to test the
   contrast ratio.
3. Confirm the UserSummary heading has insufficient contrast.
4. Apply the patch and rebuild css:
   yarn build --view opac
5. Use the accessibility tool to confirm the contrast ratio now meets
   accessibility requirements
6. Check that the OPAC still looks ok after the changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2021-09-26 12:49:49 UTC
Created attachment 125326 [details] [review]
Bug 29038: Accessibility OPACUserSummary heading doesn't have sufficient contrast

This patch changes the colour of the OPAC User Summary heading text to
increase the contrast ratio, improving accessibility and making the
text easier to read.

To test:

1. Log in to the OPAC homepage as a user with items checked out
2. Use an accessibility tool (e.g. Chrome's Lighthouse tool) to test the
   contrast ratio.
3. Confirm the UserSummary heading has insufficient contrast.
4. Apply the patch and rebuild css:
   yarn build --view opac
5. Use the accessibility tool to confirm the contrast ratio now meets
   accessibility requirements
6. Check that the OPAC still looks ok after the changes

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Jonathan Druart 2021-09-28 13:39:26 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-08 12:10:49 UTC
Pushed to 21.05.x for 21.05.05